Connect a client
curl --request PUT \
--url https://app.artil.dev/api/agents/{id}/connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client": "<string>",
"machine": "<string>"
}
'import requests
url = "https://app.artil.dev/api/agents/{id}/connection"
payload = {
"client": "<string>",
"machine": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({client: '<string>', machine: '<string>'})
};
fetch('https://app.artil.dev/api/agents/{id}/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client": "<string>",
"machine": "<string>"
}{
"error": {
"code": "invalid_input",
"message": "<string>"
}
}Connections
Connect a client
Make the calling client the one that hears the agent’s new messages, in place of any other. Stream the agent’s events with the connection’s id to hear them. Only the agent’s own token can connect it.
PUT
/
agents
/
{id}
/
connection
Connect a client
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The agent's id
Body
application/json